<?xml version="1.0" ?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Cron:etc/crontab.xsd">
	<group id="default">
        <job name="wtai_locations_import" instance="WriteTextAI\WriteTextAI\Cron\LocationsImport" method="execute">
            <schedule>0 0 * * *</schedule>
        </job>
        <job name="wtai_reupload_thumbnails" instance="WriteTextAI\WriteTextAI\Cron\ReuploadThumbnails" method="execute">
            <schedule>0 0 * * *</schedule>
        </job>
		<job name="wtai_newrecordsproduct" instance="WriteTextAI\WriteTextAI\Cron\NewRecordsProduct" method="execute">
			<config_path>writetextai_settings/autotransfer/cron_schedule</config_path>
		</job>
        <!-- <job name="wtai_fullautomation" instance="WriteTextAI\WriteTextAI\Cron\FullAutomation" method="execute">
			<config_path>writetextai_settings/autotransfer/cron_schedule</config_path>
		</job>
        <job name="wtai_grid_transfer" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_1" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_2" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_3" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_4" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_5" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_6" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_7" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_8" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_9" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_10" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_11" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_12" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_13" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_14" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_15" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_16" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_17" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule> 
        </job>
        <job name="wtai_grid_transfer_18" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule>
        </job>
        <job name="wtai_grid_transfer_19" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule>
        </job>
        <job name="wtai_grid_transfer_20" instance="WriteTextAI\WriteTextAI\Cron\GridTransfer" method="execute">
            <schedule>0 0 31 2 *</schedule>
        </job>
        <job name="wtai_stuck_bulk_transfer_resched" instance="WriteTextAI\WriteTextAI\Cron\StuckBulkTransferReschedule" method="execute">
            <schedule>*/5 * * * *</schedule>
        </job> -->
	</group>
</config>
